> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitoearn.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Publish Now

> Interface description: Adjust scheduled tasks to release immediately



## OpenAPI

````yaml /openapi/en/aitoearn.openapi.json post /api/v2/channels/publish/tasks/{taskId}/publish-now
openapi: 3.0.1
info:
  title: AiToEarn Open Platform API
  description: >-
    AiToEarn Open Platform API. You can switch between the China and
    international sites for testing. Business success is determined by whether
    the response body has code === 0.
  version: 1.0.0
  contact: {}
servers:
  - url: https://aitoearn.cn
    description: China site
  - url: https://aitoearn.ai
    description: International site
security: []
tags:
  - name: AI Services
  - name: AI Services/Video Generation
  - name: AI Services/Image Generation
  - name: Channel Management
  - name: Channel Management/Accounts
  - name: Channel Management/Publishing
  - name: Channel Management/Platforms
  - name: Channel Management/Works
  - name: Channel Management/Account Groups
  - name: Channel Management/Authorization
  - name: Asset Management
  - name: AI Services/Large Language Models
paths:
  /api/v2/channels/publish/tasks/{taskId}/publish-now:
    post:
      tags:
        - Channel Management/Publishing
      summary: Publish Now
      description: 'Interface description: Adjust scheduled tasks to release immediately'
      operationId: PublishTaskController_publishNow_v2
      parameters:
        - name: taskId
          in: path
          description: Task ID
          required: true
          example: ''
          schema:
            type: string
      responses:
        '200':
          description: >-
            The request has been processed by the service. Business success is
            determined by whether the response body has code === 0.
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/ChannelPublishTaskOperationVo'
                  code:
                    type: integer
                    description: >-
                      Business status code. 0 means success; non-zero means a
                      business error.
                  message:
                    type: string
                    description: Response message.
                  requestId:
                    type: string
                    description: Request ID.
                  timestamp:
                    type: integer
                    description: Error response timestamp in Unix milliseconds.
                required:
                  - code
                  - message
              examples:
                success:
                  summary: Success
                  value:
                    code: 0
                    message: Request succeeded
                    data:
                      taskId: string
                validationFailed10002:
                  summary: ValidationFailed (10002)
                  value:
                    code: 10002
                    message: Parameter validation failed
                    data: {}
                    timestamp: 1772099056662
                unauthorized401:
                  summary: Unauthenticated or invalid API Key
                  value:
                    code: 401
                    message: Unauthorized
                    data: {}
                    timestamp: 1772099056662
                channelPublishNowNotAllowed15058:
                  summary: ChannelPublishNowNotAllowed (15058)
                  value:
                    code: 15058
                    message: The current task status does not allow immediate release
                    data: {}
                    timestamp: 1772099056662
                channelPublishQueueFailed15056:
                  summary: ChannelPublishQueueFailed (15056)
                  value:
                    code: 15056
                    message: Publish task failed to join the queue
                    data: {}
                    timestamp: 1772099056662
                channelPublishQueueRemoveFailed15053:
                  summary: ChannelPublishQueueRemoveFailed (15053)
                  value:
                    code: 15053
                    message: Failed to remove publishing task from queue
                    data: {}
                    timestamp: 1772099056662
                publishTaskNotFound15004:
                  summary: PublishTaskNotFound (15004)
                  value:
                    code: 15004
                    message: Task not found
                    data: {}
                    timestamp: 1772099056662
      deprecated: false
      security:
        - apikey-header-X-Api-Key: []
components:
  schemas:
    ChannelPublishTaskOperationVo:
      type: object
      properties:
        taskId:
          type: string
          description: Post task ID
      required:
        - taskId
  securitySchemes:
    apikey-header-X-Api-Key:
      type: apiKey
      in: header
      name: X-Api-Key
      description: >-
        Need to get API Key from AiToEarn. Click to go to ["API Key Obtaining
        Tutorial"](/en/use/api-key).

````